<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Энергопотребление устройств</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        body {
            background: url('poly-bg-3.jpg') no-repeat center center fixed;
            background-size: cover;
            color: #ffffff;
            margin-bottom: 60px; /* учтем высоту footer */
        }
        .container {
            background-color: rgba(0, 0, 0, 0.7); /* Фон контейнера с прозрачностью */
            padding: 20px;
            margin-top: 20px;
            border-radius: 10px;
        }
        h1 {
            color: #e6739f; /* Фиолетовый цвет текста */
        }
        table {
            width: 100%;
        }
        th, td {
            padding: 12px;
            text-align: left;
            color: #ffffff; /* Белый цвет текста в таблице */
        }
        th {
            background-color: #8a63b4; /* Темно-фиолетовый цвет фона заголовка таблицы */
            color: #ffffff;
        }
        tr:nth-child(even) {
            background-color: #634179; /* Темно-фиолетовый цвет фона четных строк таблицы */
        }
        .navbar {
            background-color: #8a63b4; /* Темно-фиолетовый цвет фона навигации */
            border-radius: 0;
        }
        .navbar-brand, .navbar-nav a {
            color: #ffffff;
            padding: 10px;
        }
        .navbar-brand {
            font-size: 24px;
            font-weight: bold;
        }
        .navbar-nav {
            font-size: 18px;
        }
        .footer {
            background-color: #634179; /* Темно-фиолетовый цвет фона footer */
            color: #ffffff;
            padding: 10px;
            text-align: center;
            position: fixed;
            bottom: 0;
            width: 100%;
        }
        img {
            max-width: 100%;
            height: auto;
            border-radius: 10px;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
        <a class="navbar-brand" href="/">Учет энергопотребления</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item active">
                    <a class="nav-link" href="/">Главная</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/about">О нас</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/contacts">Контакты</a>
                </li>
            </ul>
        </div>
    </nav>

    <div class="container mt-5">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Устройство</th>
                    <th>Ток (Ампер)</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{ device }}</td>
                    <td>{{ current_data }}</td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="footer">
        <p>&copy; 2024 Smart Current Sensor </p>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>
</html>
